#!/usr/bin/env python
from __future__ import division

import rospy
import math
import time

from rosrider_lib.rosrider import ROSRider

robot = ROSRider('rosrider')

integralArea = 0.0
previousError = 0.0

#Your code starts here. Use while.robot.is_ok() as your loop statement:
while (robot.is_ok()):
    # Obtenir l'image de la ligne
    sensor_row = robot.get_sensor_data()
    # Chercher la ligne
    max = 0
    index = 0
     
    for i in range(0, len(sensor_row)):
        if sensor_row[i] > max:
            max = sensor_row[i]
            index = i
    # Suivre la ligne
    error = (len(sensor_row) / 2) - index
    Kp = 0.14 # 
    Ki = 0.0 # 
    Kd = 0.0 #
    integralArea += error
    command = Kp * error + Ki * integralArea + Kd * (previousError - error)
    previousError = error
    robot.move(0.77)
    robot.rotate(command)